.fx-relay-first-run,
.fx-relay-menu-wrapper,
.fx-relay-menu-iframe,
.fx-relay-menu,
.fx-relay-panel,
.fx-relay-icon {
  --relayBlue3: #0060df;
  --relayBlue4: #0250bb;
  --relayBlueHover: #003eaa;
  --relayBlueActive: #002275;
  --relayButtonFocus: 0 0 1px 1px #0a84ff, 0 0 0 4px rgba(10, 132, 255, 0.3);
  --relayFxGradient: linear-gradient(-90deg, #ff9100 0%, #f10366 50%, #6173ff 100%);
  --colorGrey05: #f9f9fa;
  --colorWhite: #ffffff;
  --relayGrey10: hsl(240, 9%, 98%);
  --relayGrey20: #ededf0;
  --relayGrey30: #d7d7db;
  --relayGrey40: #b1b1b3;
  --relayGrey50: #737373;
  --relayGrey60: #4a4a4f;
  --relayGrey70: #38383d;
  --relayGrey80: #2a2a2e;
  --relayGrey90: #0c0c0d;
  --relayInk: #20123a;
  --relayInk70: #363959;
  --relayMetropolisBold: "Metropolis Bold", "SF Pro Text", "Segoe UI", Roboto, "Open Sans", sans-serif;
  --relayMetropolisMedium: "Metropolis Medium", "SF Pro Text", "Segoe UI", Roboto, "Open Sans", sans-serif;
  --relayMetropolisLight: "Metropolis Light", "SF Pro Text", "Segoe UI", Roboto, "Open Sans", sans-serif;
  --relayInterUiRegular: "InterUI Regular", "SF Pro Text", "Segoe UI", Roboto, "Open Sans", sans-serif;
  --relayIconDimension: 30px;
  --relayViolet: #9059ff;
  -moz-osx-font-smoothing: grayscale;
  box-sizing: border-box;
  font-size: 16px;
}

.fx-relay-menu-iframe ::-moz-focus-inner,
.fx-relay-menu ::-moz-focus-inner,
.fx-relay-icon ::-moz-focus-inner {
  border: 0;
}

.fx-relay-menu-iframe iframe { 
  border-radius: 4px;
  background: var(--relayGrey10);
  background-color: var(--relayGrey10);
  border: 0;
  box-shadow: 3px 3px 3px 3px #00000017;
  animation: fxRelayFadeIn 0.2s ease forwards;
}

.fx-relay-menu-iframe { 
  width: 320px;
  /* The top/right positioning here is necessary to align the box correctly (offset) underneath the "triangle" directly below the in-page Relay logo */
  top: 47px;
  right: -15px;
  position: absolute;
}

/* Inline SVG arrow shape */
.fx-relay-menu-iframe::before {
  content: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 7'><polygon fill='white' class='cls-1' points='10 0 15 3.5 20 7 10 7 0 7 5 3.5 10 0'/></svg>");
  display: block;
  position: absolute;
  top: -12px;
  right: 40px;
  width: 20px;
  z-index: 99;
  animation: fxRelayFadeIn 0.2s ease forwards;
}

.fx-relay-menu-iframe.is-position-bottom::before {
  top: auto;
  bottom: -6px;
  content: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 7'><polygon fill='white' class='cls-1' points='10 7 5 3.5 0 0 10 0 20 0 15 3.5 10 7'/></svg>");
}

.fx-relay-menu-iframe.is-position-right::before {
  /* This static right position accounts for the "arrow" above/below the in-page menu on narrow widths  */
  right: 9px;
}

.fx-relay-menu-wrapper {
  position: fixed;
  height: 100%;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  z-index: 9999999999999999999999;
  background-color: rgba(0, 0, 0, 0.1);
  animation: fxRelayFadeIn 0.2s ease forwards;
}

fx-relay-logotype {
  background-image: url("/images/logotype.svg");
  margin-top: 2px;
  margin-left: 8px;
  width: 200px;
  height: 30px;
  display: inline-flex;
}

fx-relay-logomark {
  content: "";
  background-image: url("/images/logo-image-fx-relay.svg");
  width: 28px;
  height: 28px;
  display: block;
}

fx-relay-logotype,
fx-relay-logomark {
  background-repeat: no-repeat;
  background-position: center center;
  background-size: contain;
}

/* input icon & icon messaging */
.fx-relay-menu > div {
  display: flex;
  flex-direction: column;
  align-content: center;
  padding: 24px 16px 16px 16px;
  pointer-events: all;
  animation: fxRelayFadeIn 0.2s ease forwards;
  box-sizing: border-box;
}

.fx-relay-icon {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 10px;
  margin: auto !important;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 !important;
}

.fx-relay-email-input-wrapper {
  position: relative;
  pointer-events: none;
  padding: 0 !important;
  width: 100%;
  z-index: 99999999999999999;
}

.fx-relay-email-input-wrapper > input {
  pointer-events: all;
}

button.fx-relay-button {
  padding: 0 !important;
  width: 30px;
  height: 30px;
  max-width: 30px !important;
  min-width: 30px;
  background-image: url("/images/logo-image-fx-relay.svg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 85%;
  background-color: transparent !important;
  border-radius: 4px !important;
  border: 1px solid rgba(255, 255, 255, 0) !important;
  transition: all 0.2s ease;
  margin: auto;
  pointer-events: all;
  box-shadow: none !important;
  cursor: pointer;
  outline-color: transparent;
}

.fx-relay-button:hover {
  background-color: #f7e2ff !important;
  outline: 2px solid #f68fff !important;
}

.fx-relay-button:focus {
  outline: 2px solid #f68fff !important;
}

.fx-relay-toggle {
  height: 16px;
  width: 28px;
  min-width: 28px;
  position: relative;
  overflow: hidden;
  border: none;
  border-radius: 1.5em;
  outline: none;
  background-color: var(--relayBlue3);
  background-size: 20px;
  margin: auto 24px auto auto;
}

.fx-relay-toggle:hover {
  background-color: var(--relayBlueHover);
}

.fx-relay-toggle:focus {
  box-shadow: var(--relayButtonFocus);
}

.fx-relay-toggle:active {
  background-color: var(--relayBlueActive);
}

.fx-relay-toggle::after {
  content: "";
  height: 10px;
  width: 10px;
  border-radius: 50%;
  background-color: rgba(255, 255, 255, 1);
  position: absolute;
  top: 0px;
  bottom: 0;
  margin: auto;
  right: 4px;
  transition: all 0.2s ease;
}

.data-disabled::after,
.input-icons-disabled::after {
  left: 4px;
  right: 18px;
  transition: all 0.2s ease;
}

.data-disabled:hover,
.data-disabled:focus,
.input-icons-disabled:hover,
.input-icons-disabled:focus {
  background-color: var(--relayGrey40);
}

.data-disabled:active,
.input-icons-disabled:active {
  background-color: var(--relayGrey50);
}

.data-disabled,
.input-icons-disabled {
  background-color: var(--relayGrey30);
}

@keyframes fxRelayFadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}
